Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# RenderTexture.cpp File Reference

class for texture renderstate settings More...

`#include "deRenderStates_priv.hpp"`
`#include "debitmap.hpp"`
`#include "deConsole.hpp"`

Include dependency graph for RenderTexture.cpp:

## Compounds
struct | deRenderTexture_Header_t
## Defines
#define | VerifyStage(Return) if(Stage < 0 || Stage >= TEXTURESTAGE_COUNT) return Return;
#define | VerifyStage2(Stage, Return) if(Stage < 0 || Stage >= TEXTURESTAGE_COUNT) return Return;
## Functions
| WorldObjectClassImp (deRenderTexture)
deBoolean | IdeRenderState_SetDefaultTextureFilters (long MinFilter, long MagFilter, long MipFilter, deBoolean EnableMip)
## Variables
const deRenderTexture_Header_t | deRenderTexture_Header = {0,2}

## Detailed Description

class for texture renderstate settings

Author:
  Lightning

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2001

Author:
  Lightning

Remarks:
  Creation

## Define Documentation

#define VerifyStage | ( | Return |  | ) | if(Stage < 0 || Stage >= TEXTURESTAGE_COUNT) return Return;

#define VerifyStage2 | ( | Stage,
|  | Return |  | ) | if(Stage < 0 || Stage >= TEXTURESTAGE_COUNT) return Return;

## Function Documentation

deBoolean IdeRenderState_SetDefaultTextureFilters | ( | long | MinFilter,
|  | long | MagFilter,
|  | long | MipFilter,
|  | deBoolean | EnableMip
| ) |

WorldObjectClassImp | ( | deRenderTexture |  | ) |

## Variable Documentation

const deRenderTexture_Header_t deRenderTexture_Header = {0,2}`[static]`